#ifndef _RCC_PATCH_H
#define _RCC_PATCH_H

#include <string.h>
#include "tstring.h"
#include "tbytevector.h"

void rccPatchFree();
void rccPatchInit();
void rccPatchSetContext(void *newctx);

TagLib::ByteVector rccPatchRecodeOutput(const std::string &s);
TagLib::ByteVector rccPatchRecodeInput(const std::string &s);
TagLib::ByteVector rccPatchRecodeOutputID3(const std::string &s);
TagLib::ByteVector rccPatchRecodeInputID3(const std::string &s);

TagLib::String::Type rccPatchGetLocaleType();
TagLib::String::Type rccPatchGetID3Type();

#endif /* _RCC_PATCH_H */
